Subject: Re: [PATCH] git-rev-list: add --exclude-path-first-parent flag

From: Felipe Contreras <[email-masked]>
Date: Fri, 16 Apr 2021 23:09:20 -0500

Jerry Zhang wrote:
> My motivation is to find the point at which a release branch forked off from
> a main branch, even though the release branch could have been merged
> into the main branch multiple times since it was forked off.

As far as I'm aware this is precisely the only advantage of Mercurial
over Git.

Last time I checked the only way to actually find out the fork point
considering multiple corner cases was to directly store it.

Perhaps --exclude-path-first-parent would be a good approximation.

-- 
Felipe Contreras